Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeImageAttributeResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeImageAttributeResult

    public class DescribeImageAttributeResult

extends Object

The result of describing an AMI attribute.

Constructor Summary
`DescribeImageAttributeResult()`

Method Summary
`ImageAttribute` | `getImageAttribute()` The described image attribute of the associated AMI.
`void` | `setImageAttribute(ImageAttribute imageAttribute)` The described image attribute of the associated AMI.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeImageAttributeResult` | `withImageAttribute(ImageAttribute imageAttribute)` The described image attribute of the associated AMI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeImageAttributeResult

    public DescribeImageAttributeResult()

Method Detail

### getImageAttribute

    public ImageAttribute getImageAttribute()

  The described image attribute of the associated AMI.

  Returns:
    The described image attribute of the associated AMI.

### setImageAttribute

    public void setImageAttribute(ImageAttribute imageAttribute)

  The described image attribute of the associated AMI.

  Parameters:
    `imageAttribute` - The described image attribute of the associated AMI.

### withImageAttribute

    public DescribeImageAttributeResult withImageAttribute(ImageAttribute imageAttribute)

  The described image attribute of the associated AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageAttribute` - The described image attribute of the associated AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.